折雨的天空

新浪微薄腾讯微薄

最新碎语:最近霉到了住。哎。。。

您的位置:折雨的天空 >其他技术> lnmp1.4以后的SSL过期的问题

lnmp1.4以后的SSL过期的问题

之前看了介绍说会自动更新,但是有的VPS没有crontab,所以也就没办法自动更新了


下面这篇文章介绍得很详细,地址:


https://www.freehao123.com/lnmp-letsencrypt/?replytocom=183289


内容就不转了。


主要是一个添加计划任务的命令:


输入crontab -e后

打开的是VI

按i后,粘贴:

0 3 */7 * * /bin/certbot renew --renew-hook "/etc/init.d/nginx reload"

在这些操作之前,你也可以手工更新SSL


输入命令:


/bin/certbot renew --renew-hook "/etc/init.d/nginx reload"

如果连crontab的命令都没有的话,需要先yum安装,注意这个软件包名称不叫crontab


yum install -y vixie-cron

---

转载请注明本文标题和链接:《lnmp1.4以后的SSL过期的问题

分享到:

发表评论

路人甲 表情
看不清楚?点图切换

网友评论(1)

都不会架设了
知球网 2年前 (2017-05-27) 回复